package oving4.testing;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertThrows;
import static org.junit.jupiter.api.Assertions.assertTrue;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

public class CoffeeCupTest {

	private CoffeeCup coffee;

	@BeforeEach
	public void setUp() {
	    coffee = new CoffeeCup();
	}

	@Test
	@DisplayName("Constructor")
	public void testConstructor() {
		assertEquals(0, coffee.getCapacity());
		assertEquals(0, coffee.getCurrentVolume());
		coffee.increaseCupSize(10);
		assertEquals(10, coffee.getCapacity());
		coffee.fillCoffee(10);
		assertEquals(10, coffee.getCurrentVolume());
		coffee.drinkCoffee(10);
		assertEquals(0, coffee.getCurrentVolume());
	}

	@Test
	@DisplayName("volume cannot be null")
	public void testAddChildException() {
	}

}
